﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace DateTimePickerSelectableDateStartEnd
{
	public class ViewModel : ViewModelBase
	{
		private DateTime selectableDateStart;
		private DateTime selectableDateEnd;

		public ViewModel()
		{
			this.SelectableDateStart = new DateTime(2012, 5, 1);
			this.selectableDateEnd = new DateTime(2012, 5, 31);
		}

		public DateTime SelectableDateStart
		{
			get
			{
				return this.selectableDateStart;
			}
			set
			{
				this.selectableDateStart = value;
				this.OnPropertyChanged(() => this.SelectableDateStart);
			}
		}

		public DateTime SelectableDateEnd
		{
			get
			{
				return this.selectableDateEnd;
			}
			set
			{
				this.selectableDateEnd = value;
				this.OnPropertyChanged(() => this.SelectableDateEnd);
			}
		}
	}
}
